Subject: [magma] IGMPv2 Proxy behavior

From: <[email-masked]>
Date: Fri, 19 Sep 2008 14:00:59 +0800

Hi All,

As per RFC 4605, IGMPv2 Proxy device forwards Membership reports / leave
messages to Upstream.
What should be the Source IP address in these forwarded messages ?
Should it be the Upstream interface ip addr of the Proxy device or
0.0.0.0 ?

As per RFC 4541, section 2.1.1 
IGMP networks may also include devices that implement "proxy-
      reporting", in which reports received from downstream hosts are
      summarized and used to build internal membership states.  Such
      proxy-reporting devices may use the all-zeros IP Source-Address
      when forwarding any summarized reports upstream.  For this reason,
      IGMP membership reports received by the snooping switch must not
      be rejected because the source IP address is set to 0.0.0.0.

I would like to know which rule is followed widely.

Regards,
Santosh

*Disclaimer*
"This e-mail and any attachments are confidential and may contain trade
secrets or privileged or undisclosed information. They may also be
subject to copyright protection. Please do not copy, distribute or
forward this email to anyone unless authorized. If you are not a named
addressee, you must not use, disclose, retain or reproduce all or any
part of the information contained in this e-mail or any attachments. If
you have received this email by mistake please notify the sender
immediately by return email and destroy/delete all copies of the email."

_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma

---

From: Bharat Joshi <[email-masked]>
Date: Fri, 19 Sep 2008 11:58:12 +0530

Hi Santosh,

       RFC 4605 describes the behaviour of IGMP proxy in IP enabled networks [router] while RFC 4541 describes it in bridging networks [switch/bridge]

       While doing IGMPv2 proxy in IP enabled networks, proxy device can use its own IP address as source address of the IGMP messages it generates.

       In bridging networks, a switch doing proxy-reporting will typically won't have an IP address on the upstream interface and so may use 0.0.0.0 or system IP address or management IP address. Now if it uses 0.0.0.0 as source IP address, other switches between this proxy switch and the first upstream router should treat this similar to other IGMP requests.

       I hope it helps.

Thanks,
Bharat

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of [email-masked] [[email-masked]]
Sent: Friday, September 19, 2008 11:30 AM
To: [email-masked]
Subject: [magma] IGMPv2 Proxy behavior

Hi All,

Regards,
Santosh

*Disclaimer*

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***
_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma